# Uses of Enum Class
com.logicaldoc.core.document.DocumentStatus

Packages that use DocumentStatus
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of DocumentStatus in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return DocumentStatus
Modifier and Type
Method
Description
`DocumentStatus`
AbstractDocument.`getStatus()`
`static DocumentStatus`
DocumentStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocumentStatus[]`
DocumentStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.document with parameters of type DocumentStatus
Modifier and Type
Method
Description
`List<Document>`
DocumentDAO.`findByLockUserAndStatus(Long userId, DocumentStatus status)`
Finds all document of0 the specified status and locked by the specified user
`List<Document>`
HibernateDocumentDAO.`findByLockUserAndStatus(Long userId, DocumentStatus status)`
`void`
DocumentManager.`lock(long docId, DocumentStatus status, DocumentHistory transaction)`
Locks the given document
`void`
DocumentManager.`lock(Document document, DocumentStatus status, DocumentHistory transaction)`
Locks the given document, it is synchronized because under high-ferquency, Hibernate may fail
`void`
AbstractDocument.`setStatus(DocumentStatus status)`